Show / Hide Table of Contents

# Enum ConnectionState

Specifies the connection state of a client.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public enum ConnectionState : byte

### Fields

Name | Description
--- | ---
Connected | The client has established a connection to Discord.
Connecting | The client is connecting to Discord.
Disconnected | The client has disconnected from Discord.
Disconnecting | The client is disconnecting from Discord.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()